org.eclipse.emf.cdo.spi.server

## Class ICommitConflictResolver.Merging

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.ICommitConflictResolver.Merging

- All Implemented Interfaces:
    ICommitConflictResolver
  Enclosing interface:
    ICommitConflictResolver

      public static class ICommitConflictResolver.Merging
      extends java.lang.Object
      implements ICommitConflictResolver

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.server.ICommitConflictResolver

      `ICommitConflictResolver.Merging`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Merging()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CDOMerger` | `createMerger()`
    `CDOChangeSetData` | `resolveConflicts(IStoreAccessor.CommitContext commitContext, java.util.List<InternalCDORevisionDelta> conflicts)` When this method is called, the `IStoreAccessor.CommitContext.getOldRevisions()` map is filled with the latest valid revisions, chunks ensured.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Merging

          public Merging()

  - ### Method Detail

    - #### resolveConflicts

          public CDOChangeSetData resolveConflicts(IStoreAccessor.CommitContext commitContext,
                                                   java.util.List<InternalCDORevisionDelta> conflicts)

      Description copied from interface: `ICommitConflictResolver`
      When this method is called, the `IStoreAccessor.CommitContext.getOldRevisions()` map is filled with the latest valid revisions, chunks ensured.
      Specified by:
        `resolveConflicts` in interface `ICommitConflictResolver`

    - #### createMerger

          protected CDOMerger createMerger()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html